Bug 625791 - networkRetries = nonsense runs unlimited, set some default
networkRetries = nonsense runs unlimited, set some default
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Martin Minar
:
Depends On: 554693
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 08:57 EDT by Michael Mráka
Modified: 2016-07-03 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-46.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 554693
Environment:
Last Closed: 2011-05-19 09:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2010-08-20 08:57:12 EDT
+++ This bug was initially created as a clone of Bug #554693 +++

Description of problem:
when you set 'networkRetries=A' which is nonsense it runs unlimited, it doesn't end

Version-Release number of selected component (if applicable):
rhn-client-tools-0.4.20-14.el5

How reproducible:
always

Steps to Reproduce:
1. iptables -I OUTPUT 1 -p tcp --dport 443 -o eth0 -j DROP
2. # grep networkRetries /etc/sysconfig/rhn/up2date 
networkRetries=A
3. rhnreg_ks -vvv --username=****** --password=***** --force --server=https://xmlrpc.rhn.redhat.com/XMLRPC 
  
Actual results:
many and many attempts

Expected results:
there is some default, for ex 5 attempts

Additional info:

--- Additional comment from mmraka@redhat.com on 2010-08-20 06:18:04 EDT ---

Fixed in upstream (spacewalk master) by
commit 4764a50696a20b3ac0282a43f2fd144edd04ef6c
    554693 - networkRetries should be positive number
Comment 1 Michael Mráka 2010-08-20 08:58:31 EDT
The bug has been fixed in upstream and backported to RHEL5. It should be also backported to next version of RHEL6.
Comment 2 Milan Zázrivec 2011-01-21 11:56:14 EST
satellite.git CLIENT-RHEL-6: f78590faebd00ae21c66a16f585351e067d53f87
Comment 4 Martin Minar 2011-02-21 10:37:52 EST
Verified - it now does only one attempt when nonsense is inserted. (Default is 1 in stock /etc/sysconfig/rhn/up2date)
Comment 5 errata-xmlrpc 2011-05-19 09:05:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0565.html

Note You need to log in before you can comment on or make changes to this bug.